Bug 1018805 - (CVE-2013-6499) CVE-2013-6499 perl-MP3-Info: loading a module relative to the cwd
CVE-2013-6499 perl-MP3-Info: loading a module relative to the cwd
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150204,repor...
: Security
Depends On: 1189334 1189335
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:42 EDT by Murray McAllister
Modified: 2015-08-19 04:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-14 07:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-10-14 08:42:33 EDT
The MP3::Info module attempts to load and run a module relative to the current working directory. If a local user ran an application that uses MP3::Info in an attacker-controlled directory, it would lead to arbitrary code execution.
Comment 4 Kurt Seifried 2015-02-04 21:27:55 EST
Downgrading severity, this module is not widely used and requires significant attacker/victim interaction.
Comment 5 Kurt Seifried 2015-02-04 21:28:19 EST
Created perl-MP3-Info tracking bugs for this issue:

Affects: fedora-all [bug 1189334]
Affects: epel-5 [bug 1189335]
Comment 6 Petr Šabata 2015-02-11 10:06:28 EST
I checked the code of perl-MP3-Info and couldn't find any code doing what you describe.  There are no issues of such nature reported upstream either.

I would appreciate some more information on this matter as I can't see anything to fix here.
Comment 7 Petr Šabata 2015-05-14 07:31:21 EDT
I believe this report is bogus.  Closing.

Note You need to log in before you can comment on or make changes to this bug.